OpenShot Audio Library | OpenShotAudio: juce::NetworkServiceDiscovery::Advertiser Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::NetworkServiceDiscovery::Advertiser Struct Reference

`#include <juce_NetworkServiceDiscovery.h>`

Inheritance diagram for juce::NetworkServiceDiscovery::Advertiser:

## Public Member Functions
| Advertiser (const String &serviceTypeUID, const String &serviceDescription, int broadcastPort, int connectionPort, RelativeTime minTimeBetweenBroadcasts=RelativeTime::seconds(1.5))
| ~Advertiser () override

## Detailed Description

An object which runs a thread to repeatedly broadcast the existence of a discoverable service.

To use, simply create an instance of an Advertiser and it'll broadcast until you delete it.

Definition at line 44 of file juce_NetworkServiceDiscovery.h.

## Constructor & Destructor Documentation

## ◆ Advertiser()

juce::NetworkServiceDiscovery::Advertiser::Advertiser | ( | const String & | serviceTypeUID,
|  | const String & | serviceDescription,
|  | int | broadcastPort,
|  | int | connectionPort,
|  | RelativeTime | minTimeBetweenBroadcasts = `RelativeTime::seconds (1.5)`
| ) |  |

Creates and starts an Advertiser thread, broadcasting with the given properties.

Parameters

  serviceTypeUID | A user-supplied string to define the type of service this represents
  serviceDescription | A description string that will appear in the Service::description field for clients
  broadcastPort | The port number on which to broadcast the service discovery packets
  connectionPort | The port number that will be sent to appear in the Service::port field
  minTimeBetweenBroadcasts | The interval to wait between sending broadcast messages

Definition at line 31 of file juce_NetworkServiceDiscovery.cpp.

## ◆ ~Advertiser()

juce::NetworkServiceDiscovery::Advertiser::~Advertiser | ( |  | ) |
| override

Destructor

Definition at line 47 of file juce_NetworkServiceDiscovery.cpp.

The documentation for this struct was generated from the following files:

- juce_NetworkServiceDiscovery.h
- juce_NetworkServiceDiscovery.cpp